﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows.Input;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttRemoveTasks_SL
{
    public class ViewModel : ViewModelBase
    {
        private IDateRange visibleRange;
        private ObservableCollection<IGanttTask> tasks;

        public ViewModel()
        {
            this.Tasks = new SoftwarePlanning();

            var start = new DateTime(DateTime.Today.Year, Math.Max(1, DateTime.Today.Month - 1), 1);
            var end = start.AddMonths(5);
            this.visibleRange = new DateRange(start, end);

        }

        public ObservableCollection<IGanttTask> Tasks
        {
            get
            {
                return this.tasks;
            }
            set
            {
                if (this.tasks != value)
                {
                    this.tasks = value;
                    this.OnPropertyChanged(() => this.Tasks);
                }
            }
        }

        public IDateRange VisibleRange
        {
            get { return this.visibleRange; }
            set
            {
                if (this.visibleRange != value)
                {
                    this.visibleRange = value;
                    this.OnPropertyChanged(() => this.VisibleRange);
                }
            }
        }

    }
}
